Skip to content

List Endpoint

GET
/api/v1/goal-templates
curl --request GET \
--url 'https://example.com/api/v1/goal-templates?limit=50&offset=0'
limit
Limit
integer
default: 50 >= 1 <= 250
offset
Offset
integer
0

Successful Response

Media typeapplication/json
Response List Endpoint Api V1 Goal Templates Get
Array<object>
GoalTemplateOut
object
id
required
Id
integer
name
required
Name
string
kind
required
Kind
string
Allowed values: per_paycheck per_month
amount
required
Amount
string
usage_count
Usage Count
integer
0
created_at
required
Created At
string format: date-time
updated_at
required
Updated At
string format: date-time

Example

[
{
"kind": "per_paycheck",
"usage_count": 0
}
]

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object

Example generated

{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}